/*
 * CenteredDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 12/05/97 - last modification.
 *
 */

import java.awt.*;
import java.awt.event.*;

public class CenteredDialog extends Dialog {

protected Frame frame;

public CenteredDialog(Frame parent) {

	super(parent);
	frame = parent;
}
public CenteredDialog(Frame parent, boolean modal) {

	super(parent, modal);
	frame = parent;
}
public CenteredDialog(Frame parent, String title) {

	super(parent, title);
	frame = parent;
}
public CenteredDialog(Frame parent, String title, boolean modal) {

	super(parent, title, modal);
	frame = parent;
}

public void setVisible(boolean b) {

	Rectangle rectangle;
	Rectangle rectangle2;
	Point point;
	
	if (b) {
		rectangle = frame.getBounds();
		rectangle2 = getBounds();
		point = new Point(rectangle.x + (rectangle.width - rectangle2.width) / 2, rectangle.y + (rectangle.height - rectangle2.height) / 2);
		setLocation(point);
	}
	super.setVisible(b);
}

    public Insets getInsets() 
    {
        Insets insets = super.getInsets();
    
        return new Insets(insets.top + 5, insets.left + 5, insets.bottom + 5, insets.right + 5);
    }
		 
}
