/*
 * EuchreMenuBar.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 09/09/97 - original implementation.
 *
 */

import java.awt.*;
import java.awt.event.*;

/**
 * Implements a playing card.
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */
public class EuchreMenuBar extends MenuBar implements ActionListener
{

  protected Euchre euchre;
  protected Menu menu;
  protected MenuItem menuItem, playGameItem, networkedItem, setupGameItem;
  protected MenuItem screwDealerItem, tipsItem;
  protected GUI gui;
  protected Menu chat,options;

  public EuchreMenuBar(Euchre euchre, GUI gui) 
  {
    super();  //instaniates the bar
    this.euchre = euchre;
    this.gui = gui;

    menu=new Menu("File");
    setupGameItem=new MenuItem("Setup Game");
    setupGameItem.addActionListener(this);
    menu.add(setupGameItem);
    playGameItem=new MenuItem("Play Game");
    playGameItem.setEnabled(false);
    playGameItem.addActionListener(this);
    menu.add(playGameItem);
    networkedItem=new MenuItem("Networked");
    networkedItem.setEnabled(false);
    networkedItem.addActionListener(this);
    menu.add(networkedItem);
    menuItem=new MenuItem("Quit");
    menuItem.addActionListener(this);
    menu.add(menuItem);
    add(menu);
    options=new Menu("Options");
    options.setEnabled(false);
    menuItem=new MenuItem("Give a suggestion");
    menuItem.addActionListener(this);
    options.add(menuItem);
    menuItem=new MenuItem("Suggestion Wizard");
    menuItem.addActionListener(this);
    options.add(menuItem);
    screwDealerItem=new MenuItem("Screw the Dealer");
    screwDealerItem.addActionListener(this);
    options.add(screwDealerItem);
    tipsItem=new MenuItem("Tips");
    tipsItem.addActionListener(this);
    options.add(tipsItem);
    add(options); 
   
    
    menu=new Menu("Help");
    menuItem=new MenuItem("Help About");
    menuItem.addActionListener(this);
    menu.add(menuItem);
    menuItem=new MenuItem("Euchre Tutorial");
    menuItem.addActionListener(this);
    menu.add(menuItem);
    add(menu);
    setHelpMenu(menu);
  } 
  
/**
 * Handles user input.
 *
 * @param event the event.
 */
  public void actionPerformed(ActionEvent event)
  {
    MenuItem menuItem;
    boolean status;

    Object source = event.getSource();
    if (source instanceof MenuItem)
      {
	menuItem=(MenuItem)source;
	if (menuItem.getLabel().compareTo("Quit") ==0) 
	{
	  euchre.getObserver().processOutgoingText("Q");
	  System.exit(0);
	} 
	else if (menuItem.getLabel().compareTo("Setup Game")==0)
	  gui.setupGame();
	else if (menuItem.getLabel().compareTo("Play Game")==0) {
          screwDealerItem.setEnabled(false);
	  playGameItem.setEnabled(false);
	  setupGameItem.setEnabled(false);
	  gui.playGame();
	} else if (menuItem.getLabel().compareTo("Networked")==0) {
	  status = gui.queryNetworkedGame();
          if (status)
            networkedItem.setEnabled(false);
	} else if (menuItem.getLabel().compareTo("Help About")==0)
    	gui.helpAbout();
    else if (menuItem.getLabel().compareTo("Euchre Tutorial")==0)
      gui.euchreRules();
    else if (menuItem.getLabel().compareTo("Screw the Dealer")==0)
    {
      boolean choice=true; //true means YES
      
     	choice=gui.screwDealer();
      
        // add code to actually call a function from strategy
        // that changes this option
        System.out.println("screw dealer "+choice+".");
    } 
    else if (menuItem.getLabel().compareTo("Tips")==0)
    {
      boolean choice=true; //true means YES

        choice=gui.tips();

        // Enable the three tips options in HumanPlayer.java.
        System.out.println("Tips "+choice+"."); 
    }
	else
	  System.out.println(menuItem.getLabel());

      }
  }

    public void enablePlayGame () {

        screwDealerItem.setEnabled(true);
        playGameItem.setEnabled(true);
    }
 
// enables menu options when game started	
public void enableOptions()
	{
		options.setEnabled(true);
		playGameItem.setEnabled(true);
		networkedItem.setEnabled(true);
	}
}


