/*
 * ImagePanel.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 10/05/97 - initial implementation.
 *
 */

import java.awt.*;
import java.awt.event.*;

/**
 * Implements an image panel.
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */
public class ImagePanel extends Panel {

Dimension dimension;
Toolkit toolkit;
MediaTracker mediaTracker;
Image image;

public ImagePanel (String imageName) {

	super();

        toolkit = getToolkit();

	image = toolkit.getImage(imageName);

	mediaTracker = new MediaTracker(this);
	mediaTracker.addImage (image, 1);
	try {
          mediaTracker.waitForAll();
        } catch (InterruptedException exception) {
	  System.out.println("Interrupted exception " + exception + ".");
	} catch (Exception exception) {
	  System.out.println("Unknown exception " + exception + ".");
	}
	dimension = new Dimension (image.getWidth(null), image.getHeight(null));
}

public Insets getInsets() {

	Insets insets = super.getInsets();

	return new Insets(insets.top + 5, insets.left + 5, insets.bottom + 5,
		insets.right + 5);
}

public Dimension getPreferredSize () {

	return dimension;
}

public Dimension getMaximumSize () {

	return this.getPreferredSize();
}

public Dimension getMinimumSize () {

	return this.getPreferredSize();
}

public void paint(Graphics g) {

	g.drawImage(image, 0, 0, null);

}

}
