/*
 * InfoDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 12/05/97 - last modification.
 *
 */

import java.awt.*;
import java.awt.event.*;

public class InfoDialog extends CenteredDialog implements ActionListener
{

    protected Panel p;
    protected Button button;
	
    public InfoDialog(GUI gui, String title, String message, boolean block)
    {
        super(gui, title, block);

        setLayout(new GridLayout(3,1));

        add(new Label(message));

        add(new Separator(this));

        p=new Panel();
        button=new Button("OK");
        button.addActionListener(this);
        p.add(button);

        add(p);

        pack();
    }

    public InfoDialog(GUI gui, String title, String message)
    {
        this (gui, title, message, false);
    }
	
    /**
     * Handles user input.
     *
     * @param event the event.
     */
    public void actionPerformed(ActionEvent event)
    {
        Object source = event.getSource();
        Button button;

        // Paranoid check.
        if (source instanceof Button)
            dispose();
    }
    
} // end of class
