/*
 * NameValuePair.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 11/20/97 - original implementation.
 *
 */

/**
 * Implements a name-value pair.
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */
public class NameValuePair {

protected String name;
protected int value;

/**
 * Constructs a name-value pair.
 *
 * @param name	the name of the pair.
 * @param value	the value of the pair.
 */
public NameValuePair (String name, int value) {

	this.name = name;
	this.value = value;
}

/**
 * Sets the name of the pair.
 *
 * @param name	the name of the pair.
 */
public void setName (String name) {

	this.name = name;
}

/**
 * Sets the value of the pair.
 *
 * @param value	the value of the pair.
 */
public void setValue (int value) {

	this.value = value;
}

/**
 * Returns the name of the pair.
 *
 * @return	the name of the pair.
 */
public String getName () {

        return name;
}

/**
 * Returns the value of the pair.
 *
 * @return	the value of the pair.
 */
public int getValue () {

        return value;
}

}
