/*
 * NetworkDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 11/28/97 - last modification.
 *
 */

import java.awt.*;
import java.awt.event.*;

public class NetworkDialog extends CenteredDialog implements ActionListener
{

	protected TextField server, port;
	protected String serverValue=null,portValue=null;
	protected Panel p;
	protected Button button;
	protected GUI gui;
	
	public NetworkDialog(GUI gui)
	{
		super(gui, "Networked game?", true);
		this.gui = gui;
		
		setLayout(new GridLayout(6,1));
		add(new Label("Server"));
		server=new TextField("",15);
		add(server);
		add(new Label("Port"));
		port=new TextField();
		add(port);

		add(new Separator(this));
		
		p=new Panel();
		button=new Button("OK");
		button.addActionListener(this);
		p.add(button);
		button=new Button("Cancel");
		button.addActionListener(this);
		p.add(button);
		add(p);
		
		pack();
	}
	
/**
 * Handles user input.
 *
 * @param event the event.
 */
	public void actionPerformed(ActionEvent event)
	{
    Button button;

    Object source = event.getSource();
    if (source instanceof Button)
      {
		button=(Button)source;
		if (button.getLabel().compareTo("OK") ==0)
	  	{
	  		portValue=port.getText();
	  		serverValue=server.getText();
	  	}
	  dispose();
  	  }
    }
 public String getPort()
 {
 	return portValue;
 }

  public String getServer()
  {
  	return serverValue;
  }

public Insets getInsets() {

	Insets insets = super.getInsets();

	return new Insets(insets.top + 5, insets.left + 5, insets.bottom + 5, insets.right + 5);
}

} // end of class
