/*
 * RulesDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 11/20/97 - original implementation.
 *
 */

import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class RulesDialog extends CenteredDialog implements ActionListener
{

protected TextArea textArea;

protected Panel p;
protected Button button;
protected GUI gui;

public RulesDialog (GUI gui, Euchre euchre) 
{
	super(gui, "How to Play Euchre");
	String text;
	
	this.gui = gui;
	setLayout(new BorderLayout());
	
	textArea = new TextArea(20,95);
	textArea.setEditable(false);
	add("North",textArea);
		
	p=new Panel();
	button=new Button("OK");
	button.addActionListener(this);
	p.add(button);
		
	add("South",p);
	
	pack();
	
		text=new String("HOW TO PLAY EUCHRE:\n First the basics. \n You need: \n * 4 players \n * A deck of cards 9 through A and the 2 and 3 of two suits which are used keep score. Do not\n   deal out the 2 and 3! \n * A place to play \n\n OK, the object of the game is for your team to get 10 points. The two people sitting\n across from each other are partners. \n\n THE PLAY:\n This game has some unique rules. First, the dealer has to be determined by dealing out the\n cards and the first person to receive a J deals. The deal can be conducted in any way so that each\n person receives 5 cards. Some people will tell you that you have to use patterns of 2 or 3 cards\n at a time, but as long as you do not just give someone 5 consecutive cards, it is OK. After the cards have\nbeen distributed, there should be 4 cards left over. By counting these cards, the dealer can make\n sure that they did not misdeal. Flip over the top card only. Now the person to the dealers left gets\n to bid first. Bidding consists of whether you want the flipped over card to be trump. If someone orders up\n the turned up card, the dealer adds that card to their hand and discards another so that they once\n again have 5 cards in their hand. If the first person passes, the person to their left gets to decide.\n If the three non-dealers all pass, then the dealer decides if they want to pick it up. If the dealer passes, \n they turn the card back down. Now the original bidder can call any suit they want\n except the suit turned down. Or they can pass. Now if a player has an exceptionally good hand,\n they can go alone. You can go alone on the original card flipped up, or when you call another suit. This means that their\n partner does not play this hand. This has its advantages and its disadvantages.\n=OPTIONAL=\n Some people also allow a defensive player to go alone. This is an optional rule, but it is used at\n various euchre tournaments. This will be explained later. If everyone passes a second\n time, then the hand is over and the deal rotates to the next person. \n\n When a suit is called, something unusual happens. The J of the same color as the\n trump suit but of the opposite suit becomes the second highest trump. Say Hearts are called. The J of\n diamonds is now the second highest heart. The J of hearts is the HIGHEST trump. Now the A of clubs, spades and\ndiamonds are still the highest cards in their respective suits, it is only the trump suit that J is high.\n Just to clarify the trump suit, their rank is as follows: \n J[right bower], J[left bower] [same color opp suit], A, K, Q, 10, 9. There are 7 trump cards, 6 of the suits of the opposite\n color, and 5 of the other suit of the same color. \n\n The person to the left of the dealer leads regardless of who called it. Players must follow suit\n when possible. If a player has no cards of the suit that was led, they may trump in with a\n card of the trump suit. The object of the hand is to take 3 tricks. If the team that called the trump\n suit takes 3 or 4 tricks, they get one point. If the other team takes 3 tricks, they have euchred the other team and\n they receive 2 points. If the team that called trumps takes all 5 tricks, they\n receive 2 points. This is called a sweep. Now, when a player calls it alone, there is an added bonus for taking\n all 5 tricks. If they take them all, their team gets 4 points. If they only take 3 or 4, they still\n get 1 point. Now if you get euchred when going alone, the defense gets 4 points. Some people play that you\n only get two points, but once again, these were the rules used at the euchre tournaments\n I have attended. This discourages people from going on borderline loners. Well, it discourages MOST people, \n not me though. This is a quirk in the scoring system that VERY few people use. It occurs when a defensive player\n goes alone. When this happens, someone is getting 4 points. This is extremely rare, but it happens. If\n the team that called it gets 3 tricks, they get 4 points, if the defensive player going alone gets 3 trick,\n they get 4 points. You can play where the team that calls it gets fewer points for getting 3 tricks but\n thats your own decision. In a nutshell, here is the scoring rules: \n\n       Calling team takes:    \n  3 or 4 tricks: 1 point \n     5 tricks: 2 points \n       Defense takes 3 tricks: 2 points \n       Person calls it alone, takes: \n       3 or 4 tricks: 1 point \n       5 tricks: 4 points \n       Defense euchres player going alone: 4 points [some groups 2] \n       [Very optional] Defender goes alone, euchres calling team, gets: 4 points \n       [Very optional] Defender goes alone, calling team gets 3 tricks: 4 points \n       Renigging [if caught]: 2 points for opponents \n\n\n Keeping Score Believe it or not, this aspect of the game takes people the longest to\n learn, but I have\n a very simple way of explaining this. Each team has a 2 and a 3. You mark how many points you have\n with the marks on the cards. If you have one point, you cover up half of the two with the 3 face down\n and the 2 showing up. You can see only one diamond or club or whatever in the middle of the card.\n However many dots are showing is how many points you have. 3 points would simply be the 3 face\n up. When the cards are crossed, your score is 5 plus how many dots are showing. So 5 points is\n simply both cards facing down but crossed. 7 is the 2 facing up crossed with the 3 underneath it. Get\n it? I have learned from the volumes of e-mail I get, that most people simply use the\n 6 and the 4 to\n keep score, thus having 10 dots. It is easier to understand, but definately less cool. If I have learned\n anything playing euchre, its you have to be cool.\n");
		
	
	textArea.append(text + "\n");
	
	textArea.append("\n\n------------------------------------------------------------\nTheabove rules are courtesy of[guildda@polaris.clarkson.edu]\nand can beobtained on the World Wide Web\nat http://people.clarkson.edu/~guildda/euchretw.html\n");
}


public void actionPerformed(ActionEvent event)
	{
    Button button;

    Object source = event.getSource();
    if (source instanceof Button)
      {
		button=(Button)source;
		if (button.getLabel().compareTo("OK") ==0)
	  		
	  	dispose();
  	  }
    	
    }


}

