/*
 * Separator.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 11/09/97 - initial implementation.
 *
 */

import java.awt.*;

/**
 * Implements a separator.
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */
public class Separator extends Canvas {

protected Container container;
public static final int IN = 0;
public static final int OUT = 1;
protected int etching;

public Separator (Container container) {

	super();
	etching = IN;
	this.container = container;
}

public Separator (Container container, int etching) {

	super();
	this.etching = etching;
	this.container = container;
}

public Insets getInsets() {

	return new Insets(0, 0, 0, 0);
}

public void paint(Graphics g) {

	Insets insets = container.getInsets();
	Insets insets2 = getInsets();
	Dimension dimension;
	int topOffset;

	dimension = getSize();
	topOffset = dimension.height / 2 - 1;
	if (etching == IN)
		g.setColor(Color.gray.darker());
	else
		g.setColor(Color.gray.brighter().brighter());
	g.drawLine (insets2.left, insets2.top + topOffset, insets2.left + dimension.width - insets2.right, insets2.top + topOffset);
	g.drawLine (insets2.left, insets2.top + topOffset, insets2.left, insets2.top + topOffset + 1);
	if (etching == IN)
		g.setColor(Color.gray.brighter().brighter());
	else
		g.setColor(Color.gray.darker());
	g.drawLine (insets2.left + 1, insets2.top + topOffset + 1, insets2.left + dimension.width - insets2.right - 1, insets2.top + topOffset + 1);
}

}
