/*
 * TrumpSuitDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 12/05/97 - last modification.
 *
 */

import java.awt.*;
import java.awt.event.*;

public class TrumpSuitDialog extends CenteredDialog implements ActionListener, ItemListener
{

    protected String value;
    protected Panel p;
    protected Button button;
    protected GUI gui;
    protected CheckboxGroup checkBoxGroup;
    protected Checkbox checkbox;
    protected int suit;
    protected int selectedSuit = Card.INVALID;

    public TrumpSuitDialog(Euchre euchre, GUI gui)
    {
        super(gui, "Select Trump Suit", true);
        this.gui=gui;

	setLayout(new GridLayout(6, 1));

        add (new Label("Select trump suit."));

        checkBoxGroup = new CheckboxGroup();
        suit = euchre.getTable().getTrumpCard().getSuit();
        if (suit != Card.DIAMOND) {
            checkbox = new Checkbox("Diamonds", checkBoxGroup, false);
            checkbox.addItemListener(this);
            add(checkbox);
        }
	if (suit != Card.HEART) {
            checkbox = new Checkbox("Hearts", checkBoxGroup, false);
            checkbox.addItemListener(this);
            add(checkbox);
        }
	if (suit != Card.SPADE) {
            checkbox = new Checkbox("Spades", checkBoxGroup, false);
            checkbox.addItemListener(this);
            add(checkbox);
        }
	if (suit != Card.CLUB) {
            checkbox = new Checkbox("Clubs", checkBoxGroup, false);
            checkbox.addItemListener(this);
            add(checkbox);
        }

        add(new Separator(this));

        p=new Panel();
        button=new Button("OK");
        button.addActionListener(this);
        p.add(button);
        button=new Button("Pass");
        button.addActionListener(this);
        p.add(button);

        add(p);

        pack();
    }

    /**
     * Handles user input.
     *
     * @param event the event.
     */
    public void actionPerformed(ActionEvent event)
    {
        Button button;
        Object source = event.getSource();

        if (source instanceof Button)
        {
            button=(Button)source;
            if (button.getLabel().compareTo("Pass") ==0)
                selectedSuit = Card.INVALID;
            dispose();
            
        }
    }
    
    public void itemStateChanged(ItemEvent event)
    {
        Object source = event.getSource();

        if (source instanceof Checkbox) {
            checkbox = (Checkbox) source;
            value = checkbox.getLabel();
            if (value.compareTo("Spades") == 0)
                selectedSuit = Card.SPADE;
            else if (value.compareTo("Clubs") == 0)
                selectedSuit = Card.CLUB;
            else if (value.compareTo("Diamonds") == 0)
                selectedSuit = Card.DIAMOND;
            else if (value.compareTo("Hearts") == 0)
                selectedSuit = Card.HEART;
        }
    }

    public int getSuit ()
    {

        return selectedSuit;
    }

} // end of class
