/*
 * YesNoDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 11/05/97 - original implementation.
 *
 */

import java.awt.*;
import java.awt.event.*;

/**
 * Implements the trump Dialog
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */

public class YesNoDialog extends CenteredDialog implements ActionListener
{

	protected Panel p;
	protected Button button;
	boolean choice=false; //false means no
	protected GUI gui;

	
	public YesNoDialog(GUI gui, String title, String message)
	{
		super(gui, title, true);
		this.gui=gui;
		
		setLayout(new GridLayout(3,1));
		
		add(new Label(message));
		
		add(new Separator(this));
		
		p=new Panel();
		button=new Button("Yes");
		button.addActionListener(this);
		p.add(button);
		button=new Button("No");
		button.addActionListener(this);
		p.add(button);
		add(p);
		
		pack();
	}
	
/**
 * Handles user input.
 *
 * @param event the event.
 */
	public void actionPerformed(ActionEvent event)
	{
    Button button;

    Object source = event.getSource();
    if (source instanceof Button)
      {
		button=(Button)source;
		if (button.getLabel().compareTo("Yes") ==0)
	  		choice=true;
	  dispose();
  	  }
    	
    }


  public boolean getChoice()
  {
    return (choice);
  }
}
